Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot.module.th.estimation
Class Opponent

    java.lang.Object
      bot.module.th.estimation.Opponent

    public class Opponent

extends java.lang.Object

Estimation of one opponent at one competition - BY NOW ONLY THE ESTIMATION OF THE SPECIAL ROUND "PREFLOPSHC" IS EXEMPLARILY IMPLEMENTED -

Author:
  Witthold/Korol

Field Summary
`private int[][]` | `actionsAtRounds` overall stats
`private int[]` | `behaviourAtCompetition` average through all rounds -> one complete competition
`private int[][]` | `behaviourAtRounds` Behaviour of opponent D0: 0-4 rounds D1.0: looseness, 0-100 D1.1: aggression, 0-100 D1.2: bluffing statistic (bluffed x of y hands)
`private int` | `competitionId`
`private IF_EstimationAtRound[]` | `estimationAtRounds`
`private GetterDBProjector` | `gDBP`
`private int` | `lastEvaledHandId`
`private int[]` | `numPlayedAtRounds`
`private int` | `playerId`
`private java.lang.String` | `playerName`

Constructor Summary
`Opponent(int player_id, int competition_id)` Constructor by opponents id and competition_id

Method Summary
`void` | `estimate()` estimate opponent over all rounds TODO better as boolean like at IF_Estimation
`IF_EstimationAtRound[]` | `getEstimationAtRounds()`
`private void` | `init()` instanciate estimations at rounds
`private void` | `setBehaviourAtCompetition()` estimation over all hands of a competition
`protected void` | `setBehaviourAtRound(int round, int[] category)` estimation over all rounds of a hand

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### playerId

    private int playerId

### playerName

    private java.lang.String playerName

### competitionId

    private int competitionId

### lastEvaledHandId

    private int lastEvaledHandId

### estimationAtRounds

    private IF_EstimationAtRound[] estimationAtRounds

### gDBP

    private GetterDBProjector gDBP

### behaviourAtRounds

    private int[][] behaviourAtRounds

  Behaviour of opponent
  D0: 0-4 rounds
  D1.0: looseness, 0-100
  D1.1: aggression, 0-100
  D1.2: bluffing statistic (bluffed x of y hands)

### actionsAtRounds

    private int[][] actionsAtRounds

  overall stats

### numPlayedAtRounds

    private int[] numPlayedAtRounds

### behaviourAtCompetition

    private int[] behaviourAtCompetition

  average through all rounds -> one complete competition

Constructor Detail

### Opponent

    public Opponent(int player_id,
                    int competition_id)

  Constructor by opponents id and competition_id

  Parameters:
    `player_id` - - already generated by db
    `competition_id` - - already generated by db

Method Detail

### init

    private void init()

  instanciate estimations at rounds

### estimate

    public void estimate()

  estimate opponent over all rounds TODO better as boolean like at IF_Estimation

### setBehaviourAtRound

    protected void setBehaviourAtRound(int round,
                                       int[] category)

  estimation over all rounds of a hand

  Parameters:
    `round` - 0-4
    `category` - - characteristics given by the estimations at rounds

### setBehaviourAtCompetition

    private void setBehaviourAtCompetition()

  estimation over all hands of a competition

### getEstimationAtRounds

    public IF_EstimationAtRound[] getEstimationAtRounds()

  Returns:
    the estimationAtRounds

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD